
Foreman - Bug #12131

Long strings breaks Report UI detail page

10/10/2015 02:59 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Reporting   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2809

  

Description

With Salt stack plugin when I try to apply a ssh key, the report completely breaks the page. Here is example configuration how to

reproduce this:

[lzap@lzapx salt]$ cat authorized_key.sls 

authorized_key:

  ssh_auth.present:

      - user: root

      - enc: ssh-rsa

      - names:

        - AAAAB3NzaC1yc2EAAAADAQABAAABAQC8w6DONv1qn3IdgxSpkYOClq7oe7davWFqKVHPbLoS6+dFInru7gdEO5by

hTih6+PwRhHv/b1I+Mtt5MDZ8Sv7XFYpX/3P/u5zQiy1PkMSFSz0brRRUfEQxhXLW97FJa7l+bej2HJDt7f9Gvcj+d/fNWC9Z5

8/GX11kWk4SIXaKotkN+kWn54xGGS7Zvtm86fP59Srt6wlklSsG8mZBF7jVUjyhAgm/V5gDFb2/6jfiwSb2HyJ9/NbhLkWNdwr

vpdGZqQlYhnwTfEZdpwizW/Mj3MxP5O31HN45aE0wog0UeWY4gvTl4Ogb6kescizAM6pCff3RBslbFxLdOO7cR17

Associated revisions

Revision c687f3a1 - 10/12/2015 05:16 AM - Lukas Zapletal

Fixes #12131 - long strings in reports are hard-wrapped

Revision 16cd5b84 - 10/14/2015 07:50 AM - Lukas Zapletal

Fixes #12131 - long strings in reports are hard-wrapped

(cherry picked from commit c687f3a1c9d157b1313070ddc005b518af30acad)

History

#1 - 10/10/2015 03:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2809 added

- Pull request deleted ()

#2 - 10/12/2015 06:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c687f3a1c9d157b1313070ddc005b518af30acad.

#3 - 10/12/2015 06:32 AM - Dominic Cleal

- translation missing: en.field_release set to 63
